Manual:WrapOldPasswords.php

From MediaWiki.org
Jump to navigation Jump to search
This page is a translated version of the page Manual:WrapOldPasswords.php and the translation is 100% complete.
Other languages:
Deutsch • ‎English • ‎Nederlands • ‎español • ‎français • ‎polski • ‎português • ‎português do Brasil • ‎Ελληνικά • ‎русский • ‎日本語 • ‎한국어

Detalhes

O arquivo wrapOldPasswords.php é um script de manutenção utilizado para envolver todas as senhas de um determinado tipo em um tipo especificado de camadas que envolve o tipo antigo.

Desde MediaWiki 1.24, se estiver usando as configurações padrão, os hashes de senha serão atualizados automaticamente para PBKDF2 à medida que os usuários fizerem o login. Isso não está funcionando atualmente. Se necessário, o antigo hash MD5 pode ser restaurado alterando $wgPasswordDefault para 'B'.

Este script de manutenção pode envolver todas as senhas em pbkdf2-legacyA ou pbkdf2-legacyB se você não quiser esperar por seus usuários para fazer login.

Uso

Opção/Parâmetro Descrição
--type Digite para converter para. Esse deve ser um dos tipos de camadas de $wgPasswordConfig, significando pbkdf2-legacyA ou pbkdf2-legacyB.
--verbose Crie uma saída detalhada durante a execução.